<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<% # container for select_all bookmarks button -%>

<% if current_or_guest_user %>
  <div class="col-sm-3 offset-9 col-lg-3 offset-lg-9 text-right">
      <% all_selected = @response.documents.all? do |d|
           current_or_guest_user.bookmarks.where({ document_id: d.id }).exists?
         end %>
      <%= check_box_tag('bookmarks_selectall', '', all_selected) %>
      <%= label_tag 'bookmarks_selectall', t('blacklight.bookmarks.addall.button'), class: 'font-weight-bold' %>
  </div>
<% end %>

<% content_for :page_scripts do %>
<script>
  // Disable 'Select All' to prevent collision between select
  // and deselect POST requests while the page is getting updated
  $('#bookmarks_selectall').on('click', function () {
    if(!<%= all_selected %>) {
      $('#bookmarks_selectall')[0].disabled = true;
    }
  });
  // Fetch total bookmarks count after all POST requests for each document 
  // finishes. And update 'Selected Items' count in the nav bar
  $(document).ajaxStop(function() {
    fetch('/bookmarks/count.json')
      .then(response => response.json())
      .then(data => {
        $("span[data-role='bookmark-counter']").text(data['count']);
        $('#bookmarks_selectall')[0].disabled = false;
      });
  });
</script>
<% end %>
